<template>
  <div v-click-outside="closeModal" id="resetPasswordErrorModal">
    <div class="modal-header">
      <p class="title">{{ $t('auth.reset_password.error_title') }}</p>
    </div>
    <div class="modal-body">
      <p class="success_name"><span class="email">{{ modalData.message }}</span></p>
      <button class="btn-submit" @click="closeModal()">OK</button>
    </div>
  </div>
</template>
<script>
  export default {
    props: {
      modalData: {
        type: Object,
      }
    },
    methods: {
      closeModal() {
        this.$router.push('/reset-password');
        this.$broadcast('close-modal');
      }
    },
  };
</script>
<style scoped lang="scss">
  @import '../../../../../sass/_variables.scss';
  * {
    font-family: $font-family-home;
  }
  #resetPasswordErrorModal {
    width: 450px;
    height: 200px;
    border-radius: 10px;
    box-shadow: 0 2px 40px 0 rgba(0, 0, 0, 0.18);
    background-color: #f2f2f2;
    margin: auto;
    text-align: center;
    .modal-header {
      padding: 0;
      border: none;
      position: relative;
      .title {
        font-size: 18px;
        font-weight: bold;
        color: #1c1c1c;
        text-align: center;
        margin: 25px auto 5px;
      }
    }
    .modal-body {
      margin-top: 0;
    }
    p {
      font-size: 16px;
      font-weight: normal;
      font-style: normal;
      font-stretch: normal;
      line-height: 1.56;
      letter-spacing: normal;
      text-align: center;
      color: #1c1c1c;
      margin: 0;
      .email {
        font-weight: bold;
      }
    }
    .btn-submit {
      width: 160px;
      height: 40px;
      border-radius: 30px;
      background-color: #fa7300;
      font-size: 14px;
      font-weight: bold;
      font-style: normal;
      font-stretch: normal;
      line-height: 2.5;
      letter-spacing: 0.5px;
      text-align: center;
      border: none;
      outline: none;
      color: #ffffff;
      margin-top: 20px;
      cursor: pointer;
    }
  }
</style>
